<template>
    <div>
        <div class="card card-body shadow-sm" v-if="Object.keys(this.data).length">
            <img :src="data.artworkUrl100" />
            <div><strong>Artist:</strong> {{ data.artistName }}</div>
            <div><strong>Track:</strong> {{ data.trackName }}</div>
            <div><strong>Country:</strong> {{ data.country }}</div>
            <div class="mb-5"><strong>Genre:</strong> {{ data.primaryGenreName }}</div>

            <a href="#" class="btn btn-success btn-lg btn-block" @click.prevent="playSample">Play sample</a>
        </div>
    </div>
</template>

<script>
    import EventBus from "../app";

    export default {
        data(){
            return {
                data:{}
            }
        },
        methods:{
            playSample(){
                EventBus.$emit('sample-url', this.data.previewUrl)
            }
        },
        mounted() {
            EventBus.$on('single-item', payload =>{
                this.data = payload
            })
        }
    }
</script>

<style scoped>

</style>